use super::MessageContext;
use trigger_codegen::handlers;

#[handlers]
mod tips_module {
    use std::collections::HashMap;

    pub async fn on_get_tips_data(
        _context: &mut MessageContext<'_, '_>,
        _request: GetTipsDataCsReq,
    ) -> GetTipsDataScRsp {
        GetTipsDataScRsp {
            retcode: 0,
            data: Some(TipsData {
                tips: Some(TipsInfo {
                    tips_list: Vec::new(),
                    tips_group_list: Vec::new(),
                }),
                fairy: Some(FairyInfo {
                    fairy_groups: HashMap::new(),
                    fairy_record_list: Vec::new(),
                }),
                popup_window: Some(PopupWindowInfo {
                    popup_window_list: Vec::new(),
                }),
                loading_page_tips: Some(LoadingPageTipsInfo {
                    unlocked_list: Vec::new(),
                }),
            }),
        }
    }
}
